/*-
 *  Copyright (c) Iris Dev. team. All rights reserved.
 *  See http://www.communico.pro/products/zeromime/license/ for details.
 *
 */
#ifndef _ZM_ADDRESS_PARSER_DEFS_H__
#define _ZM_ADDRESS_PARSER_DEFS_H__ 1

/**
 * @file zm_address_parser_defs.h
 * @brief Address parser, type definitions
 */

#include "zm_params.h"

#define ZM_ADDRESS_OK         0
#define ZM_ADDRESS_EOL        1
#define ZM_ADDRESS_NO_CFWS    2
#define ZM_ADDRESS_ERROR     -1

#ifdef __cplusplus
extern "C"
{
#endif

/** Address parser */
typedef struct _zm_address_parser    ZM_ADDRESS_PARSER;

#ifdef __cplusplus
}
#endif

#endif /* _ZM_ADDRESS_PARSER_DEFS_H__ */
/* End */
