/*-
 *  Copyright (c) Iris Dev. team. All rights reserved.
 *  See http://www.communico.pro/products/zeromime/license/ for details.
 *
 */
#ifndef _ZM_MEM_DEFS_H__
#define _ZM_MEM_DEFS_H__ 1

/**
 * @file zm_mem_defs.h
 * @brief Memory allocation/deallocation functions, type definitions
 */

#include "zm_params.h"

#ifdef __cplusplus
extern "C"
{
#endif

/** Memory allocator */
typedef struct _zm_allocator    ZM_ALLOCATOR;

/** Default allocator */
extern ZM_ALLOCATOR    zm_default_allocator;

#ifdef __cplusplus
}
#endif

#endif /* _ZM_MEM_DEFS_H__ */
/* End */
