ZeroMIME
========

 ZeroMIME is a small but powerful MIME parser.
 Key features are:
 * Writtem completely in C (C89 standard);
 * Fast and reliable;
 * Has no dependencies other than standard c library;
 * Does not crash on complex or crooked/corrupted data;
 * Automatically determines the encoding for Russian alphabets (KOI8 and CP1251)
 * Tries to utilize stack and RAM as little as possible; quite suitable for
   embedded applications.

License
=======

 Copyright 2015-2024 Communico, LLC <zeromime@communico.pro>

 Copyright Holder: Communico, LLC

 License: see http://www.communico.pro/products/zeromime/license/ for details.

Download
========

For Production Use
------------------

Source code tarballs of the official releases can be downloaded from
[http://www.communico.pro/products/zeromime/download/](http://www.communico.pro/products/zeromime/download/).

For Testing and Development
---------------------------

Gitlab page of project available here [https://devel.communico.pro/open-source/zeromime/](https://devel.communico.pro/open-source/zeromime/)

A local copy of the Git Repository can be obtained by cloning it from
the original ZeroMIME repository using

    git clone https://devel.communico.pro/open-source/zeromime.git

Building ZeroMIME from source
=============================

 ZeroMIME uses CMake and requires a C89-compatimble compiler.
 To compile perform following steps:

    cmake .
    make
    make test
    make install

 By default, ZeroMIME will be installed to /usr/local.
 On deb- and rpm-based linuxes you can build package.
 See folder debian and file zeromime.spec

 If you plan to build Doxygen documentation simply run following command:

    doxygen

Authors
=======

 This is the list of ZeroMIME authors for copyright purposes:
 * Communico, LLC; [http://www.communico.pro/
 * Andrey V. Shetukhin

