/*-
 *  Copyright (c) Iris Dev. team. All rights reserved.
 *  See http://www.communico.pro/products/zeromime/license/ for details.
 *
 */
#ifndef _ZM_CHARSET_DETECTOR_H__
#define _ZM_CHARSET_DETECTOR_H__ 1

#include "zm_charset_detector_defs.h"
#include "zm_struct_defs.h"

/**
 * @brief Detect charset, one of utf-8, koi8, cp1251
 */
enum ZM_CHARSET zm_detect_charset(const unsigned char  * msg,
                                  const uint64_t         msg_len);

#endif /* _ZM_CHARSET_DETECTOR_H__ */
/* End. */
